Loading...
Searching...
No Matches
XrdFrmConfig::Policy Struct Reference

`#include <XrdFrmConfig.hh>`

Collaboration diagram for XrdFrmConfig::Policy:

## Public Member Functions

| Policy (const char *snv, long long minV, long long maxV, int hV, int xV)
| ~Policy ()

## Public Attributes

int | Ext
int | Hold
long long | maxFree
long long | minFree
Policy * | Next
char | Sname [XrdOssSpace::minSNbsz]

## Detailed Description

Definition at line 133 of file XrdFrmConfig.hh.

## Constructor & Destructor Documentation

## Policy()

XrdFrmConfig::Policy::Policy | ( | const char * | snv,
|  | long long | minV,
|  | long long | maxV,
|  | int | hV,
|  | int | xV )

inline

Definition at line 140 of file XrdFrmConfig.hh.

: minFree(minV), maxFree(maxV),
Hold(hV), Ext(xV), Next(0) {strcpy(Sname, snv);}
XrdFrmConfig::Policy::maxFree
long long maxFree
Definition XrdFrmConfig.hh:135
XrdFrmConfig::Policy::Hold
int Hold
Definition XrdFrmConfig.hh:136
XrdFrmConfig::Policy::Sname
char Sname[XrdOssSpace::minSNbsz]
Definition XrdFrmConfig.hh:139
XrdFrmConfig::Policy::minFree
long long minFree
Definition XrdFrmConfig.hh:134
XrdFrmConfig::Policy::Ext
int Ext
Definition XrdFrmConfig.hh:137
XrdFrmConfig::Policy::Next
Policy * Next
Definition XrdFrmConfig.hh:138

References Ext, Hold, maxFree, minFree, Next, and Sname.

## ~Policy()

XrdFrmConfig::Policy::~Policy | ( |  | ) |

inline

Definition at line 143 of file XrdFrmConfig.hh.

{}

## Member Data Documentation

## Ext

int XrdFrmConfig::Policy::Ext

Definition at line 137 of file XrdFrmConfig.hh.

Referenced by Policy(), and mainConfig().

## Hold

int XrdFrmConfig::Policy::Hold

Definition at line 136 of file XrdFrmConfig.hh.

Referenced by Policy(), and mainConfig().

## maxFree

long long XrdFrmConfig::Policy::maxFree

Definition at line 135 of file XrdFrmConfig.hh.

Referenced by Policy(), and mainConfig().

## minFree

long long XrdFrmConfig::Policy::minFree

Definition at line 134 of file XrdFrmConfig.hh.

Referenced by Policy(), and mainConfig().

## Next

Policy* XrdFrmConfig::Policy::Next

Definition at line 138 of file XrdFrmConfig.hh.

Referenced by Policy(), and mainConfig().

## Sname

char XrdFrmConfig::Policy::Sname[XrdOssSpace::minSNbsz]

Definition at line 139 of file XrdFrmConfig.hh.

Referenced by Policy(), and mainConfig().

The documentation for this struct was generated from the following file:

- XrdFrmConfig.hh